# istream File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file istream.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_ISTREAM

## Functions

- template<class _Traits> basic_istream< char, _Traits > & operator>> (basic_istream< char, _Traits > &__in, signed char *__s)
- template<class _Traits> basic_istream< char, _Traits > & operator>> (basic_istream< char, _Traits > &__in, unsigned char *__s)
- template<class _Traits> basic_istream< char, _Traits > & operator>> (basic_istream< char, _Traits > &__in, signed char &__c)
- template<class _Traits> basic_istream< char, _Traits > & operator>> (basic_istream< char, _Traits > &__in, unsigned char &__c)